"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const util_1 = require("../util");
describe('util', () => {
    describe('isSymbolDescriptorMatch()', () => {
        it('should return true for a matching query', () => {
            const matches = util_1.isSymbolDescriptorMatch({
                containerKind: undefined,
                containerName: 'ts',
                kind: 'interface',
                name: 'Program',
                package: undefined
            }, {
                containerKind: 'module',
                containerName: 'ts',
                kind: 'interface',
                name: 'Program',
                package: undefined
            });
            assert.equal(matches, true);
        });
        it('should return true for a matching query with PackageDescriptor', () => {
            const matches = util_1.isSymbolDescriptorMatch({
                name: 'a',
                kind: 'class',
                package: { name: 'mypkg' },
                containerKind: undefined
            }, {
                kind: 'class',
                name: 'a',
                containerKind: '',
                containerName: '',
                package: { name: 'mypkg' }
            });
            assert.equal(matches, true);
        });
    });
});
//# sourceMappingURL=util-test.js.map